Name:          remmina
Version:       1.4.40
Release:       1mamba
Summary:       The GTK Remmina Remote Desktop Client
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.remmina.org/
Source:        https://gitlab.com/Remmina/Remmina.git/v%{version}/Remmina-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-vnc-devel
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libX11-devel
BuildRequires: libappindicator3-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-gtk3-devel
BuildRequires: libcairo-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libjson-glib-devel
BuildRequires: libkwallet-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpython312-devel
BuildRequires: libsecret-devel
BuildRequires: libsodium-devel
BuildRequires: libsoup-devel
BuildRequires: libspice-gtk-devel
BuildRequires: libssh-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvncserver-devel
BuildRequires: libvte-devel
BuildRequires: libwayland-devel
BuildRequires: libwebkit2gtk-4.1-devel
## AUTOBUILDREQ-END
BuildRequires: libfreerdp-devel >= 3.15.0
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Remmina is a remote desktop client with support for RDP, VNC, SPICE, X2Go, SSH, WWW (HTTP protocol) and EXEC network protocols.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n Remmina-%{version}

%build
%cmake -d build \
    -DWITH_APPINDICATOR=ON \
    -DWITH_NEWS=OFF \
    -DWITH_KF5WALLET=ON \
    -DWITH_X2GO=ON \
    -DWITH_GVNC=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/remmina
%{_bindir}/remmina-file-wrapper
%{_datadir}/applications/org.remmina.Remmina-file.desktop
%{_datadir}/applications/org.remmina.Remmina.desktop
%{_datadir}/metainfo/org.remmina.Remmina.appdata.xml
%{_datadir}/mime/packages/org.remmina.Remmina-mime.xml
%{_datadir}/icons/hicolor/*/apps/org.remmina.Remmina.png
%{_datadir}/icons/hicolor/*/status/org.remmina.Remmina-status.svg
%{_datadir}/icons/hicolor/apps/org.remmina.Remmina-symbolic.svg
%{_datadir}/icons/hicolor/apps/remmina-symbolic.svg
%{_datadir}/icons/hicolor/scalable/actions/org.remmina.*.svg
%{_datadir}/icons/hicolor/scalable/apps/org.remmina.Remmina*.svg
%{_datadir}/icons/hicolor/scalable/emblems/org.remmina.Remmina*.svg
%{_mandir}/man1/remmina-file-wrapper.1*
%{_mandir}/man1/remmina.1*
%dir %{_datadir}/remmina
%dir %{_datadir}/remmina/external_tools
%{_datadir}/remmina/external_tools/*
%dir %{_datadir}/remmina/res
%{_datadir}/remmina/res/www-js.js
%dir %{_datadir}/remmina/theme
%{_datadir}/remmina/theme/*

%files -n lib%{name}
%defattr(-,root,root)
%dir %{_libdir}/remmina
%dir %{_libdir}/remmina/plugins
%{_libdir}/remmina/plugins/remmina-plugin-*.so
%doc AUTHORS COPYING LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/remmina
%{_includedir}/remmina/*.h
%{_includedir}/remmina/types.h
%{_libdir}/pkgconfig/remmina.pc
%doc ChangeLog README.md

%changelog
* Thu Apr 24 2025 Automatic Build System <autodist@openmamba.org> 1.4.40-1mamba
- automatic version update by autodist

* Mon Jan 06 2025 Automatic Build System <autodist@openmamba.org> 1.4.39-1mamba
- automatic version update by autodist

* Sat Dec 21 2024 Automatic Build System <autodist@openmamba.org> 1.4.37-1mamba
- automatic version update by autodist

* Thu Oct 03 2024 Automatic Build System <autodist@openmamba.org> 1.4.36-1mamba
- automatic version update by autodist

* Sat Feb 24 2024 Automatic Build System <autodist@openmamba.org> 1.4.35-1mamba
- automatic version update by autodist

* Thu Feb 08 2024 Automatic Build System <autodist@openmamba.org> 1.4.34-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 1.4.32-1mamba
- automatic version update by autodist

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 1.4.31-1mamba
- automatic version update by autodist

* Sun May 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.30-1mamba
- package created using the webbuild interface
